gnutls_ext_get_current_msg(3)

NAME
gnutls_ext_get_current_msg - API function

SYNOPSIS
#include <gnutls/gnutls.h>

unsigned gnutls_ext_get_current_msg(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    a gnutls_session_t opaque pointer

DESCRIPTION
This function allows an extension handler to obtain the message this extension is being called from. The returned value is a single entry of the gnutls_ext_flags_t enumeration. That is, if an extension was registered with the GNUTLS_EXT_FLAG_HRR and GNUTLS_EXT_FLAG_EE flags, the value when called during parsing of the encrypted extensions message will be GNUTLS_EXT_FLAG_EE.

If not called under an extension handler, its value is undefined.

SINCE
3.6.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/